This is the documentation for CDH 4.6.0.
Documentation for other versions is available at Cloudera Documentation.

Apache Sqoop 2

— Sqoop 2 client cannot be used with a different version of the Sqoop 2 server

The Sqoop 2 client and server must be running the same CDH4 version. For example, you cannot use the CDH4.2 Sqoop 2 client with the CDH4.3 or CDH4.4 Sqoop 2 server.

Bug: None

Severity: Low

Resolution: None; use workaround

Workaround: Make sure all Sqoop 2 components are running the same version of CDH4.

— Sqoop 2 works only in a non-secure cluster

Bug: None

Severity: Low

Workaround: Deploy Sqoop only in a non-secure cluster.